package com.yexue.android.hexiprv.utils;

import android.content.Context;
import android.widget.Toast;

/**
 * Toast 工具类
 * @author chao
 *
 */
public abstract class T {
	private T()  
    {  
        /* cannot be instantiated */  
        throw new UnsupportedOperationException("cannot be instantiated");
    }  
  
    public static boolean isShow = true;  
  
    /** 
     * 短时间显示Toast
     * @param context
     * @param msg
     *
     */  
    public static void showShort(Context context, String msg)
    {  
        if (isShow)  
            Toast.makeText(context, msg, Toast.LENGTH_SHORT).show();
    }  
  
    /** 
     * 短时间显示Toast 
     *  
     * @param context 
     * @param message 
     */  
    public static void showShort(Context context, int message)
    {  
        if (isShow)  
            Toast.makeText(context, message, Toast.LENGTH_SHORT).show();
    }  
  
    /** 
     * 长时间显示Toast 
     *  
     * @param context 
     * @param message 
     */  
    public static void showLong(Context context, CharSequence message)
    {  
        if (isShow)  
            Toast.makeText(context, message, Toast.LENGTH_LONG).show();
    }  
  
    /** 
     * 长时间显示Toast 
     *  
     * @param context 
     * @param message 
     */  
    public static void showLong(Context context, int message)
    {  
        if (isShow)  
            Toast.makeText(context, message, Toast.LENGTH_LONG).show();
    }  
  
    /** 
     * 自定义显示Toast时间 
     *  
     * @param context 
     * @param message 
     * @param duration 
     */  
    public static void show(Context context, CharSequence message, int duration)
    {  
        if (isShow)  
            Toast.makeText(context, message, duration).show();
    }  
  
    /** 
     * 自定义显示Toast时间 
     *  
     * @param context 
     * @param message 
     * @param duration 
     */  
    public static void show(Context context, int message, int duration)
    {  
        if (isShow)  
            Toast.makeText(context, message, duration).show();
    }  		
}
